Configures Static IPs for a project
PATCH
https://api.vercel.com/v1/projects/{idOrName}/shared-connect-linksAllows configuring Static IPs for a project
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.networking.updateStaticIps({ idOrName: "<value>", teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", requestBody: { regions: [ "iad1", ], }, });
console.log(result);}
run();Response
[ { "aws": { "securityGroupId": "https://example.com", "subnetIds": [] }, "buildsEnabled": "false", "connectConfigurationId": "example_id", "createdAt": "123", "dc": "string", "envId": "example_id", "passive": "false", "updatedAt": "123" }]AuthorizationbearerToken
Default authentication mechanism